Name:		PyInstaller
Version:	3.5
Release:	1%{?dist}
Summary:	PyInstaller bundles a Python application and all its dependencies into a single package. The user can run the packaged app without installing a Python interpreter or any modules.

License:	GPL
URL:		http://www.pyinstaller.org/
Source0:	%{name}-%{version}.tar.gz

%description 
PyInstaller bundles a Python application and all its dependencies into a single package. The user can run the packaged app without installing a Python interpreter or any modules.


%package -n python2-PyInstaller
Summary:	Python2 version of PyInstaller
BuildRequires:	python2-devel
BuildRequires:  python2-setuptools
Requires:	python2-altgraph
Requires:       python2-dis3
Provides:	python2-PyInstaller = %{version}-%{release}
%{?python_provide:%python_provide python2-PyInstaller}

%description -n python2-PyInstaller
PyInstaller bundles a Python application and all its dependencies into a single package. The user can run the packaged app without installing a Python interpreter or any modules.

%package -n python3-PyInstaller
Summary:	Python3 version of PyInstaller
BuildRequires:	python36-devel
BuildRequires:  python3-setuptools
Requires:	python3-altgraph
Provides:	python3-PyInstaller = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-PyInstaller}

%description -n python3-PyInstaller
PyInstaller bundles a Python application and all its dependencies into a single package. The user can run the packaged app without installing a Python interpreter or any modules.


%prep
%autosetup


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install

%post -n python2-PyInstaller
sed -i s'~^#!/.*~#!/usr/bin/python2~' %{_bindir}/pyinstaller

%post -n python3-PyInstaller
sed -i s'~^#!/.*~#!/usr/bin/python3~' %{_bindir}/pyinstaller

%files -n python2-PyInstaller
%{python_sitelib}/PyInstaller/*
%{python_sitelib}/PyInstaller-%{version}-py%{python2_version}.egg-info/*
%{_bindir}/pyinstaller
%{_bindir}/pyi-archive_viewer
%{_bindir}/pyi-bindepend
%{_bindir}/pyi-grab_version
%{_bindir}/pyi-makespec
%{_bindir}/pyi-set_version

%files -n python3-PyInstaller
%{python3_sitelib}/PyInstaller/*
%{python3_sitelib}/PyInstaller-%{version}-py%{python3_version}.egg-info/*
%{_bindir}/pyinstaller
%{_bindir}/pyi-archive_viewer
%{_bindir}/pyi-bindepend
%{_bindir}/pyi-grab_version
%{_bindir}/pyi-makespec
%{_bindir}/pyi-set_version



